Skip to content

List automations

Request

Retrieve all outreach automations in your account. Automations are multi-step sequences that send LinkedIn messages, emails, and other actions on a schedule.

Security
bearerAuth
Query
limitinteger, (int32)

Items per page (default 20).

Default:20
Example:limit=20
offsetinteger, (int32)

Items to skip (default 0).

Default:0
Example:offset=0
order_fieldstring

Sort field (default created_at).

Default:"created_at"
Example:order_field=created_at
order_typestring

Sort direction.

Default:"asc"
Enum:"asc""desc"
Example:order_type=asc
filterobject

Filters.

GET
/flows/api/flows
curl -i -X GET \
  'https://leadgen.grinfi.io/flows/api/flows?limit=20&offset=0&order_field=created_at&order_type=asc&filter=q%3Dstring%26status%3Dstring' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of automations.

Bodyapplication/json
dataArray of objects(flow)
limitinteger
Example:20
offsetinteger
Example:0
totalinteger
Example:15
has_moreboolean
Response
{ "data": [ {} ], "limit": 20, "offset": 0, "total": 15, "has_more": true }